Subject: Re: Time and motion studies of gcc and egcs and LCC
From: [email-masked]

4 Feb 1998 19:27:48 -0800
Message-ID: <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]

Hi Ian, you wrote:

: Discarding pages in strict FIFO order seems to me like a recipe for
: thrashing.

Yes. Doesn't x86 hardware set used (and modified) bits in the page tables?
A decent OS checks/resets those from a timer interrupt and sorts
accordingly, which burns some CPU, but is always faster than disk access...

Bye, Heribert ([email-masked])
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".